VERSION 8000;;9114
* Allg_BspDialogTopofelder.CSX  neue Dialoge  05.05.11
* -----------------------------------------------------------------------------
* @filedoc
* @file Allg_BspDialogTopofelder.CSX
* @brief Dialog mit Feldern fr Topografiedaten
* 
*  Dialog mit Feldklassen fr Topografiedaten mit Listen und Grafikauswahlbutton
*  Felder fr Punkt- und Linienkodeeingabe mit Listenauswahlbutton 
*  Funtkionsaufruf mit Vorbelegung der Checkbox zum aktiv/passiv schalten anderer Felder
*
* -----------------------------------------------------------------------------
* Copyright (C) IB&T
* 
* Gewhrleistung und Nutzung
* 
* Die Nutzung des Skriptes erfolgt stets auf eigene Gefahr. IB&T bernimmt keine
* Gewhr dafr, dass die Nutzung dieses Skriptes zu Ihrem gewnschten Ergebnis
* fhrt. Da CardScripte vorhandene Projektdaten durch Direktzugriff auf die
* jeweiligen Datenbanken auch ohne weitere Sicherheitsabfragen unbemerkt verndern
* oder lschen knnen, erfordert eine Nutzung entsprechende Kenntnisse und groe
* Sorgfalt. IB&T haftet nicht fr eventuell entstehende Datenverluste und
* Folgeschden, die durch die Nutzung von CardScripten entstehen.
*
* -----------------------------------------------------------------------------
* @author CK
* @endfiledoc
* -----------------------------------------------------------------------------
*     9114 06.04.2021 NR Umstellung auf alphanummerische Kodes
* @history
* -----------------------------------------------------------------------------
* 
BILDSCHIRM GRAFIK
$Prfstufe 7

* -----------------------------------------------------------------------------

* Deklarationen
SYMBOLE * Ret;!Punkt1;!Schicht1;!Dgm1;!Polygon1;!LK;!PK

* -----------------------------------------------------------------------------

* Dialogfunktion aufrufen
MY_DIALOG(1)                            | Dialogfunktion 

* Ergebnis
WENN Ret DANN
  MELDE "DGM               #"; !Dgm1 
  MELDE "Schicht           #"; !Schicht1 
  MELDE "Punkt             #"; !Punkt1  
  MELDE "Selektionspolygon #"; !Polygon1  
  MELDE "Punktkode         #"; !PK 
  MELDE "Linienkode        #"; !LK 
SONST
  MELDE "Dialog abgebrochen" 
WEITER   
STOP
* -----------------------------------------------------------------------------
* -----------------------------------------------------------------------------
* @function MY_DIALOG
* @brief <Dialogfunktion>
* @param Check: Checkboxwert (1 = Checkbox aktiv, 0 = Checkbox inaktiv)
*
* @ingroup
* @author Ch
* @endfunction
FUNKTION MY_DIALOG: Check 
* ---------------------------
* Deklarationen
  SYMBOLE /DLG_WINDOW/ Dialog
  SYMBOLE /DLG_DTM/ Dgm
  SYMBOLE /DLG_LAYER/ Schicht
  SYMBOLE /DLG_POINT/ Punkt
  SYMBOLE /DLG_SELECTION/ Polygon
  SYMBOLE /DLG_ACODELINE/ Linienkode |alphanummerisch
  SYMBOLE /DLG_ACODEPOINT/ Punktkode |alphanummerisch
  SYMBOLE /DLG_CHECKBOX/ CheckB 
  SYMBOLE /DLG_FRAME/ Frame1; Frame2; Frame3
  SYMBOLE * Check
  EXTERN * Ret;!Punkt1;!Schicht1;!Dgm1;!Polygon1;!LK;!PK | Symbole, die auerhalb der Funktion deklariert wurden
   
*..................Dialog anlegen
  Dialog = NEWOBJECT /DLG_WINDOW/
  Dialog.SetCaption("Topografiedaten")

  
*..................Rahmen anlegen
  Frame1 = Dialog.CreateFrame(0;"Schalter")
  Frame1.SetSize(135)                              | Rahmenbreite festlegen
  Frame2 = Dialog.CreateFrame(0;"Topografiedaten") | Rahmen untereinander, sichtbar, mit Beschriftung 
  Frame2.SetSize(135)
  Frame3 = Dialog.CreateFrame(0;"Kode")
  Frame3.SetSize(135)

*..................Feld fr Checkbox
  CheckB = NEWOBJECT  /DLG_CHECKBOX/
  CheckB.SetBoxLabel("Topografiedaten")
  CheckB.SetValue(Check)               | Wert Check aus Funktionsaufruf 
  Frame1.AddField(CheckB)
*...................Feld fr Punktauswahl mit Prfung
  Punkt = NewObject /DLG_POINT/
  Punkt.SetLabel("Punkt:")
  Punkt.EnableNew()                    | neue Punktnummer eingeben 
  Punkt.SetName("P.001")               | Vorbelegung mit Punktnumer 
  Punkt.AddObserveField(CheckB;1;1;1)  | Feld ist passiv, wenn Check = 0   
  Frame2.AddField(Punkt)
*..................Feld fr Schichtauswahl + Bezeichnung
  Schicht = NewObject /DLG_LAYER/
  Schicht.SetLabel("Schicht:")
  Schicht.SetName("Planung")           | Vorbelegung mit Schicht "Planung" 
  Schicht.EnableNew()                  | neue Schicht eingeben  
  Schicht.AddObserveField(CheckB;1;1;1)| Feld ist passiv, wenn Check = 0
  Frame2.AddField(Schicht)
*..................Feld fr Dgm - Auswahl + Bezeichnung
  Dgm = NewObject /DLG_DTM/
  Dgm.SetLabel("DGM:")
  Dgm.EnableNew()                      | neuen Namen eingeben                          
  Dgm.SetName("abc")                   | Vorbelegung Name 
  Dgm.SetDescription("xyz")            | Vorbelegung Bezeichnung           
 * Dgm.SetDtmId(1)                     | Bei Auswahl: Vorbelegung DGM mit Id=1
  Dgm.AddObserveField(CheckB;1;1;1)    | Feld ist passiv, wenn Check = 0
  Frame2.AddField(Dgm)
*..................Feld fr Selektion + Bezeichnung
  Polygon = NewObject /DLG_SELECTION/
  Polygon.SetName(" ")                  | Vorbelegung leer
  Polygon.SetLabel("Selektionspolygon:")
  Polygon.EnableNew()                   | neue Selektion eingeben
  Polygon.AddObserveField(CheckB;1;1;1) | Feld ist passiv, wenn Check = 0   
  Frame2.AddField(Polygon)
*..................Feld fr Punktcode + Bezeichnung
  Punktkode = NewObject /DLG_ACODEPOINT/  |alphanummerisch
  Punktkode.SetLabel("Punktkode:")
  Frame3.AddField(Punktkode)
*..................Feld fr Liniencode + Bezeichnung
  Linienkode = NewObject /DLG_ACODELINE/  |alphanummerisch
  Linienkode.SetLabel("Linienkode:")
  Frame3.AddField(Linienkode)

*....................Dialog ausfhren
  Ret = Dialog.DoDialog()
  
*....................Ergebnis
  WENN Ret DANN
    !Punkt1 = Punkt.GetName()
    !Schicht1 = Schicht.GetName()
    !Dgm1 = Dgm.GetName()
    !Polygon1 = Polygon.GetName()
    !PK = Punktkode.GetCode()
    !LK = Linienkode.GetCode()
  WEITER 
  ZURCK Ret
ENDE FUNKTION  
* -----------------------------------------------------------------------------




